/*
** bootinfo.h -- Defintion of the Linux/68K boot information structure
**
** Copyright 1994 by Bjrn Brauel
**
** This file is subject to the terms and conditions of the GNU General Public
** License.  See the file README.legal in the main directory of this archive
** for more details.
**
*/

#ifndef BOOTINFO_H
#define BOOTINFO_H


/*
 * CPU and FPU types
 */
#define CPU_68020    (1)
#define CPU_68030    (2)
#define CPU_68040    (4)
#define CPU_MASK     (31)
#define FPU_68881    (32)
#define FPU_68882    (64)

#define NUM_MEMINFO  1

#define MACH_AMIGA   1
#define MACH_ATARI   2
#define MACH_MAC     3

#define CL_SIZE      (80)

struct mem_info {
    unsigned long addr;		/* physical address of memory chunk */
    unsigned long size;		/* length of memory chunk (in bytes) */
};

struct bootinfo {
    unsigned long
 	machtype;			/* machine type */

    unsigned long
	cputype;			/* system CPU & FPU */
	

    struct mem_info
	memory[NUM_MEMINFO]; /*		 memory description */

    short
	num_memory;			/* # of memory blocks found */

    unsigned long
	ramdisk_size;			/* ramdisk size in 1024 byte blocks */

    unsigned long
	ramdisk_addr;			/* address of the ram disk in mem */

    char
        command_line[CL_SIZE];		/* kernel command line parameters */

};

extern struct bootinfo
    boot_info;

#endif /* BOOTINFO_H */
